| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Attributes | List of all members
IG.Crypto.UtilCrypto.ConstCrypto Class Reference

Contains constants for cryptographic operations from shell functions. More...

## Public Attributes
const string | HashFileExtension = ".chk"
| File extension for files containing the calculated hash codes. More...
const HashType | DefaultHashType = HashType.MD5
| Default hash type. More...
const string | ArgCheck = "-c"
| Hash is verified rather than created. More...
const string | ArgCheck1 = "/c"
| Hash is verified rather than created. More...
const string | ArgHashType = "-t"
| Specification of hash type follows. More...
const string | ArgHashType1 = "/t"
| Specification of hash type follows. More...
const string | ArgOutputFile = "-o"
| Specification of output file follows. More...
const string | ArgOutputFile1 = "/o"
| Specification of output file follows. More...
const string | ArgString = "-s"
| Specification of string whose hash is calculated follows. More...
const string | ArgString1 = "/s"
| Specification of string whose hash is calculated follows. More...
const string | ArgHashValue = "-h"
| Specification of hash value follows (only with -c, for a single input file). More...
const string | ArgHashValue1 = "/h"
| Specification of hash value follows (only with -c, for a single input file). More...

## Detailed Description

Contains constants for cryptographic operations from shell functions.

## Member Data Documentation

const string IG.Crypto.UtilCrypto.ConstCrypto.HashFileExtension = ".chk"

File extension for files containing the calculated hash codes.

Referenced by IG.Script.ScriptAppBase.CryptoFunctionGetFileHash(), and IG.Forms.HashGeneratorControl.SaveHashesToFile().

const HashType IG.Crypto.UtilCrypto.ConstCrypto.DefaultHashType = HashType.MD5

Default hash type.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgCheck = "-c"

Hash is verified rather than created.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgCheck1 = "/c"

Hash is verified rather than created.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgHashType = "-t"

Specification of hash type follows.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgHashType1 = "/t"

Specification of hash type follows.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgOutputFile = "-o"

Specification of output file follows.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgOutputFile1 = "/o"

Specification of output file follows.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgString = "-s"

Specification of string whose hash is calculated follows.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgString1 = "/s"

Specification of string whose hash is calculated follows.

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgHashValue = "-h"

Specification of hash value follows (only with -c, for a single input file).

const string IG.Crypto.UtilCrypto.ConstCrypto.ArgHashValue1 = "/h"

Specification of hash value follows (only with -c, for a single input file).

The documentation for this class was generated from the following file:

- igbase/utilities/UtilCrypto.cs